---
updatedAt: 2026-06-08T19:57:45.000Z
agentTools:
  projectIndex: https://docs.inscribe.ai/llms.txt
---

# List all Collect Sessions

Retrieve a paginated list of collect sessions for your organization.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Inscribe Fraud Detection API Documentation\n",
    "version": "2.0.0",
    "title": "Core Resources",
    "termsOfService": "http://swagger.io/terms/",
    "contact": {
      "email": "api@inscribe.ai"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "servers": [
    {
      "url": "https://api.inscribe.ai/api/v2"
    }
  ],
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "tags": [
    {
      "name": "Collect Sessions",
      "description": "Collect sessions allow you to automate each step of your document collection process, from customer contact to fraud checks and verification. Sessions are identified by an id."
    }
  ],
  "externalDocs": {
    "description": "Find out more about Swagger",
    "url": "http://swagger.io"
  },
  "paths": {
    "/collect/sessions": {
      "get": {
        "tags": [
          "Collect Sessions"
        ],
        "summary": "List all Collect Sessions",
        "description": "Retrieve a paginated list of collect sessions for your organization.",
        "operationId": "getCollectSessions",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Indicate which page of the session list to return, the default is 1.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "expired",
            "in": "query",
            "description": "Filter the returned collect sessions from the expired state. If omitted, both expired and active sessions will be returned.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "customer_id",
            "in": "query",
            "description": "Filter the returned collect sessions by a given customer ID. If omitted, sessions for all customers will be returned.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successfully retrieved collect sessions.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectSessions"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "403": {
            "$ref": "#/components/responses/PermissionDenied"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-default": "Inscribe <API KEY>"
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "error message"
          }
        },
        "required": [
          "message"
        ]
      },
      "BaseCollectSession": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "Unique identifier for the object.",
            "example": "0efae611-b3eb-4b84-8ed0-a4e92ad3bf4b"
          },
          "url": {
            "type": "string",
            "description": "The URL for the session. The first UUID in the URL is a unique identifier for your organisation that will be static accross Collect sessions. The second UUID in the URL is the session id.",
            "example": "https://collect.inscribe.ai/#/fa207be0-b4da-4234-a350-fbbfe3b3298c/d1e07ab9-36a6-43eb-a550-2bc77dce8afc"
          },
          "customer_id": {
            "type": "string",
            "format": "uuid",
            "description": "Unique identifier for the associated customer.",
            "example": "0efae611-b3eb-4b84-8ed0-a4e92ad3bf4b"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "description": "Time at which the session was created. In the format: yyyy-MM-dd'T'HH:mm:ssZ",
            "example": "2019-12-12T15:35:08.460Z"
          },
          "completed_at": {
            "type": "string",
            "nullable": true,
            "description": "Time at which the session was completed. This will be null if the session has not been completed. In the format: yyyy-MM-dd'T'HH:mm:ssZ",
            "example": "2019-12-12T15:35:08.460Z"
          },
          "success_url": {
            "type": "string",
            "description": "The URL the user will be redirected to when they complete the session.",
            "example": "https://example.com/#success?session_id=0efae611-b3eb-4b84-8ed0-a4e92ad3bf4b"
          },
          "cancel_url": {
            "type": "string",
            "description": "The URL the user will be redirected to when they abort or cancel the session.",
            "example": "https://example.com/#cancel?session_id=0efae611-b3eb-4b84-8ed0-a4e92ad3bf4b"
          },
          "logo_url": {
            "type": "string",
            "description": "A link to the logo displayed in the collect session.",
            "example": "https://assets.website-files.com/5ea61a1bf0e208bb1c5737ac/5ec69023b5341a114ab26bc7_inscribe_logo.svg"
          },
          "display_name": {
            "type": "string",
            "description": "The name of the company being displayed in the collect session.",
            "example": "Inscribe"
          },
          "expired": {
            "type": "boolean",
            "description": "States if the session is active"
          }
        }
      },
      "Tag": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "Unique identifier for the tag.",
            "example": "ce1d4123-b482-4409-8177-cdf363bea111"
          },
          "value": {
            "type": "string",
            "description": "A descriptive string chosen by you to group documents together across customers.",
            "example": "onboarding"
          }
        }
      },
      "DocumentRequest": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "The unique identifier of the document request.",
            "example": "194e60b7-9581-4847-93f3-661ae04ae666"
          },
          "label": {
            "type": "string",
            "description": "A descriptive string displayed when making the document request.",
            "example": "July Bank Statements"
          },
          "max_documents": {
            "type": "integer",
            "description": "The maximum number of accepted documents that the user can upload to this request. The maximum value is 70, the default and minimum value is 1. Requests which stipulate a value in excess of 70 will be silently capped at 70."
          },
          "verify": {
            "type": "array",
            "description": "A list of verification types that will be applied to documents uploaded to this request.",
            "items": {
              "type": "string",
              "example": "NAME"
            }
          },
          "tags": {
            "type": "array",
            "description": "A list of the user-defined document request tags.",
            "items": {
              "$ref": "#/components/schemas/Tag"
            }
          }
        }
      },
      "CollectSession": {
        "allOf": [
          {
            "$ref": "#/components/schemas/BaseCollectSession"
          }
        ],
        "properties": {
          "document_requests": {
            "type": "array",
            "description": "List of document requests.",
            "items": {
              "$ref": "#/components/schemas/DocumentRequest"
            }
          }
        }
      },
      "CollectSessions": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CollectSession"
            },
            "description": "A list of collect session objects."
          },
          "metadata": {
            "type": "object",
            "properties": {
              "pagination": {
                "type": "object",
                "properties": {
                  "limit": {
                    "type": "integer",
                    "description": "The limit on the number of collect sessions that can be returned per page.",
                    "example": 10
                  },
                  "current_page": {
                    "type": "integer",
                    "description": "The current page number.",
                    "example": 1
                  },
                  "number_of_pages": {
                    "type": "integer",
                    "description": "The total number of pages available with the current query parameters.",
                    "example": 1
                  },
                  "total": {
                    "type": "integer",
                    "description": "The total number of collect sessions available with the current query parameters.",
                    "example": 1
                  }
                }
              }
            }
          }
        }
      }
    },
    "responses": {
      "BadRequest": {
        "description": "You have provided incorrect data.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "PermissionDenied": {
        "description": "You do not have permission to access this resource.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "NotFound": {
        "description": "The specified resource was not found.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Too many requests. The request has been rate limited. For more information, visit our [documentation on rate limiting](https://docs.inscribe.ai/docs/are-the-endpoints-rate-limited).",
        "content": {
          "text/plain": {
            "example": "Requests are limited to 200 requests over a 5 minute period. Please try again in 30 seconds"
          }
        },
        "headers": {
          "Retry-After": {
            "description": "The number of seconds to wait before retrying the request.",
            "schema": {
              "type": "integer",
              "example": 30
            }
          }
        }
      }
    }
  },
  "x-explorer-enabled": false,
  "x-samples-enabled": false,
  "x-samples-languages": [
    "curl",
    "python",
    "node"
  ]
}
```